JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const planEntitlement = await client.v1.plans.entitlements.delete('id', { planId: 'planId' });
console.log(planEntitlement.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
plan_entitlement = client.v1.plans.entitlements.delete(
id="id",
plan_id="planId",
)
print(plan_entitlement.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
planEntitlement, err := client.V1.Plans.Entitlements.Delete(
context.TODO(),
"id",
stigg.V1PlanEntitlementDeleteParams{
PlanID: "planId",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", planEntitlement.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.plans.entitlements.EntitlementDeleteParams;
import io.stigg.models.v1.plans.entitlements.PlanEntitlement;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
EntitlementDeleteParams params = EntitlementDeleteParams.builder()
.planId("planId")
.id("id")
.build();
PlanEntitlement planEntitlement = client.v1().plans().entitlements().delete(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
plan_entitlement = stigg.v1.plans.entitlements.delete("id", plan_id: "planId")
puts(plan_entitlement)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Plans.Entitlements;
StiggClient client = new();
EntitlementDeleteParams parameters = new()
{
PlanID = "planId",
ID = "id",
};
var planEntitlement = await client.V1.Plans.Entitlements.Delete(parameters);
Console.WriteLine(planEntitlement);stigg v1:plans:entitlements delete \
--api-key 'My API Key' \
--plan-id planId \
--id idcurl --request DELETE \
--url https://api.stigg.io/api/v1/plans/{planId}/entitlements/{id} \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/plans/{planId}/entitlements/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>",
"description": "<string>",
"isGranted": true,
"isCustom": true,
"order": 123,
"hiddenFromWidgets": [],
"displayNameOverride": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "FEATURE",
"usageLimit": 123,
"hasUnlimitedUsage": true,
"hasSoftLimit": true,
"resetPeriodConfiguration": {
"accordingTo": "SubscriptionStart"
},
"enumValues": [
"<string>"
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Plan Entitlements
Delete plan entitlement
Deletes an entitlement from a draft plan.
DELETE
/
api
/
v1
/
plans
/
{planId}
/
entitlements
/
{id}
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const planEntitlement = await client.v1.plans.entitlements.delete('id', { planId: 'planId' });
console.log(planEntitlement.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
plan_entitlement = client.v1.plans.entitlements.delete(
id="id",
plan_id="planId",
)
print(plan_entitlement.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
planEntitlement, err := client.V1.Plans.Entitlements.Delete(
context.TODO(),
"id",
stigg.V1PlanEntitlementDeleteParams{
PlanID: "planId",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", planEntitlement.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.plans.entitlements.EntitlementDeleteParams;
import io.stigg.models.v1.plans.entitlements.PlanEntitlement;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
EntitlementDeleteParams params = EntitlementDeleteParams.builder()
.planId("planId")
.id("id")
.build();
PlanEntitlement planEntitlement = client.v1().plans().entitlements().delete(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
plan_entitlement = stigg.v1.plans.entitlements.delete("id", plan_id: "planId")
puts(plan_entitlement)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Plans.Entitlements;
StiggClient client = new();
EntitlementDeleteParams parameters = new()
{
PlanID = "planId",
ID = "id",
};
var planEntitlement = await client.V1.Plans.Entitlements.Delete(parameters);
Console.WriteLine(planEntitlement);stigg v1:plans:entitlements delete \
--api-key 'My API Key' \
--plan-id planId \
--id idAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The plan ID
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$The feature ID or custom currency ID of the entitlement
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Response
The deleted plan entitlement object.
Response object
Feature entitlement response
- FeatureEntitlementResponse
- CreditEntitlementResponse
Show child attributes
Show child attributes
⌘I
